<?php

/*******************************************************************************
/*******************************************************************************
    doorGets 6.0 - 20, February 2014
    doorgets it's free PHP Open Source CMS PHP & MySQL
    Copyright (C) 2012 - 2014 By Mounir R'Quiba -> Crazy PHP Lover
    
/*******************************************************************************

    Website : http://www.doorgets.com
    Contact : http://www.doorgets.com/?contact
    
/*******************************************************************************
    -= One life, One code =-
/*******************************************************************************
    
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
******************************************************************************
******************************************************************************/


class EmailingModel extends doorgetsModel{
    
    
    public function __construct($action,$controller,$lg="fr"){
        
        parent::__construct($action,$controller,$lg);
        
    }
    
    public function doAction(){
        
        $out = '';
        $tableName = '_dg_newsletter';
        $controllerName = 'emailing';
        
        // get Content for edit / delete
        $params = $this->Controller->Params();
        if(array_key_exists('id',$params['GET'])){
            
            $id = $params['GET']['id'];
            $isContent = $this->dbQS($id,$tableName);
            if(empty($isContent)){
                header('Location:./?controller='.$controllerName); exit();
            }
        }
        
        switch($this->Action){
            
            case 'index':
                
                if(!empty($this->Controller->form['_tocsv']->i)){
                    
                    $this->Controller->checkMode();
                    
                    $allContacts = $this->dbQ("SELECT nom,email FROM _dg_newsletter WHERE newsletter = 1 LIMIT 3000 ");
                    if(!empty($allContacts)){
                        
                        $fileName = '_doorGets_newsletter_'.time().'.csv';
                        $fileToCSV = BASE.'cache/'.$fileName;
                        
                        $fp = fopen($fileToCSV, 'w');
                        foreach ($allContacts as $fields) { fputcsv($fp, $fields); }
                        fclose($fp);
                        
                        header('Content-type: text/csv');
                        header('Content-disposition: attachment;filename='.$fileName);
                        
                        echo file_get_contents($fileToCSV); @unlink($fileToCSV); exit();
                        
                    }
                }
                break;
            
            case 'add':
                
                if(!empty($this->Controller->form->i)){
                    
                    $this->Controller->checkMode();
                    
                    foreach($this->Controller->form->i as $k=>$v){
                        if(empty($v) && $k !== 'description' && $k != 'id_user'){
                            
                            $this->Controller->form->e[$controllerName.'_add_'.$k] = 'ok';
                            
                        }
                    }
                    $var = $this->Controller->form->i['email'];
                    $isEmail = filter_var($var, FILTER_VALIDATE_EMAIL);
                    $isEmailExist = $this->dbQS($var,$tableName,'email');
                    if( !empty($isEmailExist) ){
                        
                        $this->Controller->form->e[$controllerName.'_add_email'] = 'ok';
                        
                    }
                    if( empty($isEmail) ){
                        
                        $this->Controller->form->e[$controllerName.'_add_email'] = 'ok';
                        
                    }
                    if( empty($this->Controller->form->e )){
                        
                        $data = $this->Controller->form->i;
                        $data['date_creation'] = time();
                        
                        $idUser = $this->dbQI($data,$tableName);
                        FlashInfo::set($this->l("Vos informations ont bien été mises à jour"));
                        header('Location:./?controller='.$controllerName);
                        exit();
                    }
                    FlashInfo::set($this->l("Veuillez remplir correctement le formulaire"),"error");
                    
                }
                
                break;
            
            case 'edit':
                
                if(!empty($this->Controller->form->i)){
                    
                    $this->Controller->checkMode();
                    
                    foreach($this->Controller->form->i as $k=>$v){
                        if(empty($v)  && $k !== 'description'  ){
                            
                            $this->Controller->form->e[$controllerName.'_edit_'.$k] = 'ok';
                            
                        }
                    }
                    
                    $var = $this->Controller->form->i['email'];
                    $isEmail = filter_var($var, FILTER_VALIDATE_EMAIL);
                    $isEmailExist = $this->dbQS($var,$tableName,'email'," AND id != '$id' LIMIT 1 ");
                    if( !empty($isEmailExist) ){
                        
                        $this->Controller->form->e[$controllerName.'_edit_email'] = 'ok';
                        
                    }
                    if( empty($isEmail) ){
                        
                        $this->Controller->form->e[$controllerName.'_edit_email'] = 'ok';
                        
                    }
                    
                    if(empty($this->Controller->form->e)){
                        
                        $data = $this->Controller->form->i;
                        
                        $this->dbQU($isContent['id'],$data,$tableName);
                        FlashInfo::set($this->l("Vos informations ont bien été mises à jour"));
                        header('Location:./?controller='.$controllerName);
                        exit();
                    }
                    
                    FlashInfo::set($this->l("Veuillez remplir correctement le formulaire"),"error");
                }
                
                break;
            
            case 'delete':
                
                if(!empty($this->Controller->form->i)){
                    
                    $this->Controller->checkMode();
                    
                    if(empty($this->Controller->form->e)){
                        
                        $this->dbQD($isContent['id'],$tableName);
                        FlashInfo::set($this->l("Le contact à été corréctement supprimer"));
                        header('Location:./?controller='.$controllerName); exit();
                        
                    }
                }
                
                break;
            
            case 'massdelete':
                
                if(
                    
                    !empty($this->Controller->form['massdelete_index']->i)
                    && isset($this->Controller->form['massdelete_index']->i['groupe_delete_index'])
                   
                ){
                    
                    $this->Controller->checkMode();
                    
                    if(empty($this->Controller->form['massdelete_index']->e))
                    {
                        
                        $ListeForDeleted = $this->_toArray($this->Controller->form['massdelete_index']->i['groupe_delete_index']);
                
                        foreach($ListeForDeleted as $id){
                            
                            $this->dbQD($id,$tableName);
                            
                        }
                        
                        FlashInfo::set($this->l("Les données sont supprimées"));
                        header('Location:./?controller='.$controllerName); exit();
                        
                    }
                    
                }
                
                break;
        }
    }
}

